## ros-noetic-rosdoc-lite 0.2.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(rosdoc_lite)
find_package(catkin REQUIRED)

catkin_package()

install(FILES DESTINATION ${CATKIN_PROJECT_SHARE_DESTINATION}/cmake)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_doxygenator.py)
endif()

=== debian/changelog ===
ros-noetic-rosdoc-lite (0.2.10-1buster) buster; urgency=high

  * Add mdfile to INPUT
  * Use conditional dependencies (#93 <https://github.com/ros-infrastructure/rosdoc_lite/issues/93>)
    * Use conditional dependencies for all Python rosdep keys
    * Only depend on epydoc if using Python 2
    * Switch to python?-catkin-pkg-modules since the CLI tools aren't used
    * Python 2 and 3 versions are side-by-side installable
    * Switch to python?-rospkg-modules since the CLI tools aren't used
    * Python 2 and 3 versions are side-by-side installable
  * Add mdfile to INPUT
  * backwards-compatible fix for python3 API changes
  * fix cmake failure when building without tests
  * Removes obsolete doxygen options
    fix cmake failure when building without tests
  * enable linking to documentation hosted on third party server
  * Update exception handling to Python2.6+ / Python3 syntax
  * Fix getting doxygen path when output_folder is defined
  * Add unit tests for getting doxygen path
  * Better name of function getting the documentation path
  * Update exception handling to Python2.6+ / Python3 syntax
  * Merge branch 'master' of github.com:jobleier/rosdoc_lite
  * enable 'docs_url' pointing to documentation hosted on third party server with external Doxygen documentation using tag files
  * Contributors: Alexander Gutenkunst, Finn-Thorben Sell, Johannes Bleier, Matthijs van der Burgh, Paul Dinh, Riku Shigematsu, Shane Loretz, Tully Foote, v4hn

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Feb 2020 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.9-1buster) buster; urgency=high

  * use yaml.safe_load for untrusted yaml input
  * Contributors: Dirk Thomas

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 23 Jan 2019 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.8-1buster) buster; urgency=high

  * fix top bar on recent doxygen versions
    * on recent doxygen topbar requires jquery
    * fixes documentation generation on ROS melodic
    * see https://www.stack.nl/~dimitri/doxygen/manual/changelog.html#log_1_8_1
  * add use_mdfile_as_mainpage option
    This makes it possible/easier to use a markdown file as mainpage, e.g. the README.md
  * remove unsupported option latex_paper_size (#79 <https://github.com/ros-infrastructure/rosdoc_lite/issues/79>)
  * Expose doxygen parameter GENERATE_QHP
  * Contributors: Dirk Thomas, Felix Ruess, Jack O'Quin, Jiri Horner, Levi Armstrong, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 17 Sep 2018 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.7-1buster) buster; urgency=high

  * fix import (#74 <https://github.com/ros-infrastructure/rosdoc_lite/issues/74>)
  * add ability to configure the doxygen parameter EXTRACT_ALL (#72 <https://github.com/ros-infrastructure/rosdoc_lite/issues/72>)
  * more correct reference to the package website url (#68 <https://github.com/ros-infrastructure/rosdoc_lite/issues/68>)
  * get rid of HTML static path, so build farm quits complaining
  * Contributors: Daniel Stonier, Dirk Thomas, Jack O'Quin, Levi Armstrong

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Jun 2017 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.6-1buster) buster; urgency=high

  * Support SEARCHENGINE option for doxygen
    Closes #56 <https://github.com/ros-infrastructure/rosdoc_lite/issues/56>
  * Contributors: Jack O'Quin, Kentaro Wada

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 12 Apr 2016 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.5-1buster) buster; urgency=high

  * Add autodoc to sphinx config.
  * Use generator specific output folder.
  * Move import to local scope, since when the new API is being invoked
    from jenkins_scripts genmsg is not on the Python path.
  * Add API to provide generator specific output folders.
  * Run epydoc in the package folder.
  * Print output from epydoc invocation (fix #50 <https://github.com/ros-infrastructure/rosdoc_lite/issues/50>).
  * Update doxygen template to disable external groups and pages.
  * Update doxygen template to 1.8.6.
  * Contributors: Dirk Thomas, Jack O'Quin, Jonathan Bohren

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 28 Feb 2015 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.4-1buster) buster; urgency=high

  * Groovy, Hydro and Indigo release.
  * Introduce doxygen PREDEFINED tag (#47 <https://github.com/ros-infrastructure/rosdoc_lite/issues/47>).  Thanks to Fabien
    Spindler.
  * Bugfix to enable devel space usage of rosdoc-lite, fixes #44 <https://github.com/ros-infrastructure/rosdoc_lite/issues/44>.
    Thanks to Daniel Stonier.
  * Delete upload script which is not used anymore.  Its functionality
    is in jenkins_scripts doc_stack.py <https://github.com/ros-infrastructure/jenkins_scripts/blob/master/doc_stack.py>
  * Merge pull request #41 <https://github.com/ros-infrastructure/rosdoc_lite/issues/41> to
    disable doxygen searchengine and latex generation.
  * Update ros.org urls.
  * Add list of actions to manifest.yaml after documenting them.
  * Order list of documented msgs/srvs/actions.
  * Add debug information to epyenator.
  * Contributors: Daniel Stonier, Dirk Thomas, Fabien Spindler, Jack O'Quin, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 22 Apr 2014 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.3-1buster) buster; urgency=high

  * Groovy and Hydro release.
  * Working version of action documentation.
  * Restore support for raw message comments in docs (#29 <https://github.com/ros-infrastructure/rosdoc_lite/issues/29>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Aug 2013 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.2-1buster) buster; urgency=high

  * Groovy and Hydro release.
  * Write information on deprecated packages to manifest.yaml.
  * Updated package.xml with new <buildtool_depend>catkin<...>
    requirement.
  * Now writes information about package maintainers to the manifest
    generated for the wiki.
  * Adding bugtracker and repo_url fields to manifest generation.
  * Adding a missing dep on python-catkin-pkg.


=== debian/control ===
Source: ros-noetic-rosdoc-lite
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rosdoc_lite
Standards-Version: 3.9.2

Package: ros-noetic-rosdoc-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, doxygen, python3-catkin-pkg-modules, python3-kitchen, python3-rospkg-modules, python3-sphinx, python3-yaml, ros-noetic-genmsg
Description: This ROS package wraps documentation tools like doxygen, sphinx, and epydoc, making it convenient to generate ROS package documentation.
 It also generates online documentation for the ROS wiki.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosdoc-lite//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rosdoc-lite 0.2.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(rosdoc_lite)
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-noetic-rosdoc-lite (0.2.11-1focal) focal; urgency=high

  * add generate_treeview option (#96 <https://github.com/ros-infrastructure/rosdoc_lite/issues/96>)
    To enable the treeview set in rosdoc.yaml
    ```
    - builder: doxygen
    generate_treeview: YES
    ```
  * change to setuptools in accordance with migration guide (#105 <https://github.com/ros-infrastructure/rosdoc_lite/issues/105>)
  * Add option "required" to builder configs which will cause rosdoc_lite to fail if the builder fails. (#106 <https://github.com/ros-infrastructure/rosdoc_lite/issues/106>)
    * Add option "required" to builder configs which will cause rosdoc_lite to fail if the builder fails.
    * Require documentation of this package to finish properly.
    * Added documentation to the added exception from generate_docs.
  * Add support for configuring INPUT_FILTER doxygen option (#103 <https://github.com/ros-infrastructure/rosdoc_lite/issues/103>)
  * Add missing graphviz dep
    Used by Doxygen for inheritance diagrams.
  * Read include_path from config file
    * Removes warning about non existing INCLUDE_PATH. Closes #86 <https://github.com/ros-infrastructure/rosdoc_lite/issues/86>
  * Bump CMake version to avoid CMP0048
  * Contributors: Alexander Gutenkunst, Arne Hitzmann, Felix Ruess, Martin Pecka, Matthijs van der Burgh, Shane Loretz, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 07 Sep 2023 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.10-1focal) focal; urgency=high

  * Add mdfile to INPUT
  * Use conditional dependencies (#93 <https://github.com/ros-infrastructure/rosdoc_lite/issues/93>)
    * Use conditional dependencies for all Python rosdep keys
    * Only depend on epydoc if using Python 2
    * Switch to python?-catkin-pkg-modules since the CLI tools aren't used
    * Python 2 and 3 versions are side-by-side installable
    * Switch to python?-rospkg-modules since the CLI tools aren't used
    * Python 2 and 3 versions are side-by-side installable
  * Add mdfile to INPUT
  * backwards-compatible fix for python3 API changes
  * fix cmake failure when building without tests
  * Removes obsolete doxygen options
    fix cmake failure when building without tests
  * enable linking to documentation hosted on third party server
  * Update exception handling to Python2.6+ / Python3 syntax
  * Fix getting doxygen path when output_folder is defined
  * Add unit tests for getting doxygen path
  * Better name of function getting the documentation path
  * Update exception handling to Python2.6+ / Python3 syntax
  * Merge branch 'master' of github.com:jobleier/rosdoc_lite
  * enable 'docs_url' pointing to documentation hosted on third party server with external Doxygen documentation using tag files
  * Contributors: Alexander Gutenkunst, Finn-Thorben Sell, Johannes Bleier, Matthijs van der Burgh, Paul Dinh, Riku Shigematsu, Shane Loretz, Tully Foote, v4hn

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Feb 2020 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.9-1focal) focal; urgency=high

  * use yaml.safe_load for untrusted yaml input
  * Contributors: Dirk Thomas

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 23 Jan 2019 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.8-1focal) focal; urgency=high

  * fix top bar on recent doxygen versions
    * on recent doxygen topbar requires jquery
    * fixes documentation generation on ROS melodic
    * see https://www.stack.nl/~dimitri/doxygen/manual/changelog.html#log_1_8_1
  * add use_mdfile_as_mainpage option
    This makes it possible/easier to use a markdown file as mainpage, e.g. the README.md
  * remove unsupported option latex_paper_size (#79 <https://github.com/ros-infrastructure/rosdoc_lite/issues/79>)
  * Expose doxygen parameter GENERATE_QHP
  * Contributors: Dirk Thomas, Felix Ruess, Jack O'Quin, Jiri Horner, Levi Armstrong, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 17 Sep 2018 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.7-1focal) focal; urgency=high

  * fix import (#74 <https://github.com/ros-infrastructure/rosdoc_lite/issues/74>)
  * add ability to configure the doxygen parameter EXTRACT_ALL (#72 <https://github.com/ros-infrastructure/rosdoc_lite/issues/72>)
  * more correct reference to the package website url (#68 <https://github.com/ros-infrastructure/rosdoc_lite/issues/68>)
  * get rid of HTML static path, so build farm quits complaining
  * Contributors: Daniel Stonier, Dirk Thomas, Jack O'Quin, Levi Armstrong

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Jun 2017 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.6-1focal) focal; urgency=high

  * Support SEARCHENGINE option for doxygen
    Closes #56 <https://github.com/ros-infrastructure/rosdoc_lite/issues/56>
  * Contributors: Jack O'Quin, Kentaro Wada

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 12 Apr 2016 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.5-1focal) focal; urgency=high

  * Add autodoc to sphinx config.
  * Use generator specific output folder.
  * Move import to local scope, since when the new API is being invoked
    from jenkins_scripts genmsg is not on the Python path.
  * Add API to provide generator specific output folders.
  * Run epydoc in the package folder.
  * Print output from epydoc invocation (fix #50 <https://github.com/ros-infrastructure/rosdoc_lite/issues/50>).
  * Update doxygen template to disable external groups and pages.
  * Update doxygen template to 1.8.6.
  * Contributors: Dirk Thomas, Jack O'Quin, Jonathan Bohren

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 28 Feb 2015 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.4-1focal) focal; urgency=high

  * Groovy, Hydro and Indigo release.
  * Introduce doxygen PREDEFINED tag (#47 <https://github.com/ros-infrastructure/rosdoc_lite/issues/47>).  Thanks to Fabien
    Spindler.
  * Bugfix to enable devel space usage of rosdoc-lite, fixes #44 <https://github.com/ros-infrastructure/rosdoc_lite/issues/44>.
    Thanks to Daniel Stonier.


=== debian/control ===
Source: ros-noetic-rosdoc-lite
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
Homepage: http://wiki.ros.org/rosdoc_lite
Standards-Version: 3.9.2

Package: ros-noetic-rosdoc-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, doxygen, graphviz, python3-catkin-pkg-modules, python3-kitchen, python3-rospkg-modules, python3-sphinx, python3-yaml, ros-noetic-genmsg
Description: This ROS package wraps documentation tools like doxygen, sphinx, and epydoc, making it convenient to generate ROS package documentation.
 It also generates online documentation for the ROS wiki.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
